/* signal.h: Signal management. */

#ifndef _SIGNAL_H
#define _SIGNAL_H

#include <bits/signal.h>
#include <sys/types.h>

typedef int sig_atomic_t;

#ifdef __cplusplus
extern "C"
{
#endif

#pragma GCC push_options
#pragma GCC diagnostic ignored "-Wshadow"
    /* Examine/change the current thread's signal disposition for a specific signal. */
    int sigaction(int signo, const struct sigaction* act, struct sigaction* oldact);
#pragma GCC pop_options

    /* Send a signal to a specific process. */
    int kill(pid_t pid, int signo);

    /* Send a signal to the current thread. */
    int raise(int signo);

#ifdef __cplusplus
}
#endif

#endif
